Database Compare now requires Microsoft Report Viewer 2015

Applies to: Office Professional Plus 2016

After the update KB4461435 is applied, the Database Compare application requires that Microsoft Report Viewer 2015 Runtime be installed on the computer. Without this prerequisite, the Database Compare tool will show the following error message when it starts:

Unhandled exception has occurred in your application. If you click Continue, the application will ignore this error and attempt to continue. If you click Quit, the application will close immediately.

To resolve the issue, you must install Microsoft Report Viewer 2015 Runtime.

More information


Prior to this update (KB4461435), the Database Compare application required Microsoft Report Viewer 2008 to be installed on the computer. Microsoft Report Viewer 2008 is no longer supported. This update (KB4461435) for Database Compare enables it to work with a supported version, Microsoft Report Viewer 2015. Before installing January 2, 2019, update for Office 2016 (KB4461435), you should install Microsoft Reporter Viewer 2015 Runtime.

Existing installations of the Database Compare tool that previously worked with Microsoft Report Viewer 2008 will encounter an error after KB4461435 is applied. To resolve the error, install Microsoft Report Viewer 2015 Runtime, which requires either the x64 version of SQLSysCLRTypes.msi, or the x86 version of SQLSysCLRTypes.msi, as appropriate, to be installed first.